org.sonatype.plexus.components.sec.dispatcher

## Class SecUtil

- java.lang.Object
- - org.sonatype.plexus.components.sec.dispatcher.SecUtil

    public class SecUtil
    extends java.lang.Object

Version:
  $Id: SecUtil.java 877 2009-02-11 21:58:35Z oleg $
Author:
  Oleg Gusakov

### Field Summary

Fields
`static java.lang.String` `PROTOCOL_DELIM`
`static int` `PROTOCOL_DELIM_LEN`
`static java.lang.String[]` `URL_PROTOCOLS`

### Constructor Summary

Constructors
Constructor and Description
`SecUtil()`

### Method Summary

Methods
`static java.util.Map` `getConfig(org.sonatype.plexus.components.sec.dispatcher.model.SettingsSecurity sec, java.lang.String name)`
`static org.sonatype.plexus.components.sec.dispatcher.model.SettingsSecurity` `read(java.lang.String location, boolean cycle)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PROTOCOL_DELIM

    public static final java.lang.String PROTOCOL_DELIM

See Also:
  Constant Field Values

#### PROTOCOL_DELIM_LEN

    public static final int PROTOCOL_DELIM_LEN

#### URL_PROTOCOLS

    public static final java.lang.String[] URL_PROTOCOLS

### Constructor Detail

#### SecUtil

    public SecUtil()

### Method Detail

#### read

    public static org.sonatype.plexus.components.sec.dispatcher.model.SettingsSecurity read(java.lang.String location,
                                                                            boolean cycle)
                                                                                     throws SecDispatcherException

Throws:
  `SecDispatcherException`

#### getConfig

    public static java.util.Map getConfig(org.sonatype.plexus.components.sec.dispatcher.model.SettingsSecurity sec,
                          java.lang.String name)